Loading...
Searching...
No Matches
pappso::cbor::psm::PsmNewEval Class Reference

`#include <psmneweval.h>`

Inheritance diagram for pappso::cbor::psm::PsmNewEval:

## Public Member Functions

| PsmNewEval (std::size_t buffer_scan_size, CborStreamWriter *cbor_output_p, const QString &eval_name, const QJsonObject &parameters)
virtual | ~PsmNewEval ()
void | addEvalDoubleVector (const QString &eval_key_value_name, std::vector< double > arr_values)
Public Member Functions inherited from pappso::cbor::psm::PsmFileScanProcessAndCopy
| PsmFileScanProcessAndCopy (std::size_t buffer_scan_size, CborStreamWriter *cbor_output_p, const QString &operation)
virtual | ~PsmFileScanProcessAndCopy ()
void | close () override
| convenient function to clean pointer before leaving
Public Member Functions inherited from pappso::cbor::psm::PsmFileScanProcess
| PsmFileScanProcess (std::size_t buffer_scan_size)
virtual | ~PsmFileScanProcess ()
Public Member Functions inherited from pappso::cbor::psm::PsmFileReaderBase
| PsmFileReaderBase ()
virtual | ~PsmFileReaderBase () override
void | readCbor (QFile *cborp, pappso::UiMonitorInterface &monitor)
void | readCbor (QIODevice *cborp, pappso::UiMonitorInterface &monitor)
Public Member Functions inherited from pappso::cbor::CborStreamReaderInterface
| CborStreamReaderInterface ()
virtual | ~CborStreamReaderInterface ()

## Protected Member Functions

pappso::cbor::psm::CborScanMapBase * | newCborScanMap () override
void | parameterMapReady (pappso::UiMonitorInterface &monitor) override
Protected Member Functions inherited from pappso::cbor::psm::PsmFileScanProcessAndCopy
void | delayProteinMapInMemory ()
void | informationsReady (pappso::UiMonitorInterface &monitor) override
void | logReady (pappso::UiMonitorInterface &monitor) override
void | fastaFilesReady (pappso::UiMonitorInterface &monitor) override
virtual void | proteinMapReady (pappso::UiMonitorInterface &monitor) override
virtual void | processBufferScanDone (pappso::UiMonitorInterface &monitor) override
void | sampleStarted (pappso::UiMonitorInterface &monitor) override
void | sampleFinished (pappso::UiMonitorInterface &monitor) override
void | sampleListStarted (pappso::UiMonitorInterface &monitor) override
void | sampleListFinished (pappso::UiMonitorInterface &monitor) override
Protected Member Functions inherited from pappso::cbor::psm::PsmFileScanProcess
void | readScan (pappso::UiMonitorInterface &monitor) override
void | scanFinished (pappso::UiMonitorInterface &monitor) override
virtual void | processBufferScan (pappso::UiMonitorInterface &monitor)
void | clearScanBuffer ()
Protected Member Functions inherited from pappso::cbor::psm::PsmFileReaderBase
void | readRoot (pappso::UiMonitorInterface &monitor)
virtual void | readInformations (pappso::UiMonitorInterface &monitor)
virtual void | readLog (pappso::UiMonitorInterface &monitor)
virtual void | readParameterMap (pappso::UiMonitorInterface &monitor)
virtual void | readProteinMap (pappso::UiMonitorInterface &monitor)
virtual void | readSample (pappso::UiMonitorInterface &monitor)
virtual void | readPsm (pappso::UiMonitorInterface &monitor)
virtual void | psmReady (pappso::UiMonitorInterface &monitor)
virtual void | scanStarted (pappso::UiMonitorInterface &monitor)
PsmFile | readPsmFile (bool &is_ok)
void | writePsmFile (CborStreamWriter &writer, const PsmFile &psm_file)
void | writePsmFileList (CborStreamWriter &writer, const std::vector< PsmFile > &file_list)
PsmProteinRef | readPsmProteinRef (bool &is_ok)
pappso::PeptideSp | getCurrentPsmPeptideSp () const
pappso::QualifiedMassSpectrumSPtr | getCurrentQualifiedMassSpectrumSPtr () const
| get the qualified Spectrum for the current PSM
bool | currentProteinRefListContainsDecoy () const
| tells if the current PSM has a decoy accession
bool | currentProteinRefListContainsTarget () const
| tells if the current PSM has a target accession
double | getPrecursorMass (double mz_prec, uint charge) const
| convenient function do compute precusor ion mass
Protected Member Functions inherited from pappso::cbor::CborStreamReaderInterface
bool | getExpectedString ()
void | initCborReader (QFile *pcborfile)
void | initCborReader (QIODevice *pcborfile)

## Protected Attributes

QJsonObject | m_newEvalParameters
QString | m_evalName
QString | m_evalKeyValueName
std::vector< double > | m_psmEvalValues
std::vector< double >::iterator | value_it
Protected Attributes inherited from pappso::cbor::psm::PsmFileScanProcessAndCopy
CborStreamWriter * | mp_cborOutput
CborStreamWriter * | mp_copyCborOutput = nullptr
QString | m_operation
pappso::cbor::psm::PsmProteinMap | m_psmNewProteinMap
QBuffer * | mpa_bufferAfterProteinMap = nullptr
pappso::cbor::CborStreamWriter * | mpa_bufferWriterAfterProteinMap = nullptr
Protected Attributes inherited from pappso::cbor::psm::PsmFileScanProcess
std::size_t | m_bufferScanSize = 1000
std::vector< CborScanMapBase * > | m_cborScanList
Protected Attributes inherited from pappso::cbor::psm::PsmFileReaderBase
QStringList | m_targetFastaFiles
QStringList | m_decoyFastaFiles
PsmProteinMap | m_proteinMap
QString | m_currentSampleName
PsmFile | m_currentPeaklistFile
std::vector< PsmFile > | m_currentIdentificationFileList
QCborMap | m_cborInformations
QCborArray | m_cborLog
QCborMap | m_cborParameterMap
QCborMap | m_cborScanId
QCborMap | m_cborScanPrecursor
QCborMap | m_cborScanMs2
QCborMap | m_cborScanProps
QCborMap | m_cborScanPsmEval
QCborMap | m_cborScanPsmProps
QString | m_currentPsmProforma
std::vector< PsmProteinRef > | m_currentPsmProteinRefList
Protected Attributes inherited from pappso::cbor::CborStreamReaderInterface
CborStreamReader * | mpa_cborReader = nullptr
QString | m_expectedString
QByteArray | m_data

## Detailed Description

Todo
  write docs

Definition at line 37 of file psmneweval.h.

## Constructor & Destructor Documentation

## PsmNewEval()

pappso::cbor::psm::PsmNewEval::PsmNewEval | ( | std::size_t | buffer_scan_size,
|  | CborStreamWriter * | cbor_output_p,
|  | const QString & | eval_name,
|  | const QJsonObject & | parameters )

Default constructor

Definition at line 31 of file psmneweval.cpp.

: PsmFileScanProcessAndCopy(buffer_scan_size, cbor_output_p, QString("add %1").append(eval_name))
{
qDebug();
m_newEvalParameters = parameters;
m_evalName = eval_name;
qDebug();
}
pappso::cbor::psm::PsmFileScanProcessAndCopy::PsmFileScanProcessAndCopy
PsmFileScanProcessAndCopy(std::size_t buffer_scan_size, CborStreamWriter *cbor_output_p, const QString &operation)
Definition psmfilescanprocessandcopy.cpp:41
pappso::cbor::psm::PsmNewEval::m_evalName
QString m_evalName
Definition psmneweval.h:58
pappso::cbor::psm::PsmNewEval::m_newEvalParameters
QJsonObject m_newEvalParameters
Definition psmneweval.h:57

References pappso::cbor::psm::PsmFileScanProcessAndCopy::PsmFileScanProcessAndCopy(), m_evalName, and m_newEvalParameters.

## ~PsmNewEval()

pappso::cbor::psm::PsmNewEval::~PsmNewEval | ( |  | ) |

virtual

Definition at line 43 of file psmneweval.cpp.

{
}

## Member Function Documentation

## addEvalDoubleVector()

void pappso::cbor::psm::PsmNewEval::addEvalDoubleVector | ( | const QString & | eval_key_value_name,
|  | std::vector< double > | arr_values )

Definition at line 57 of file psmneweval.cpp.

{
m_evalKeyValueName = eval_key_value_name;
m_psmEvalValues = arr_values;
}
pappso::cbor::psm::PsmNewEval::m_psmEvalValues
std::vector< double > m_psmEvalValues
Definition psmneweval.h:60
pappso::cbor::psm::PsmNewEval::m_evalKeyValueName
QString m_evalKeyValueName
Definition psmneweval.h:59

References m_evalKeyValueName, and m_psmEvalValues.

## newCborScanMap()

pappso::cbor::psm::CborScanMapBase * pappso::cbor::psm::PsmNewEval::newCborScanMap | ( |  | ) |

override protected virtual

Implements pappso::cbor::psm::PsmFileScanProcess.

Definition at line 48 of file psmneweval.cpp.

{
CborScanMapBase *p_cbor_scan_map = new CborScanMapBase(*this);
value_it = p_cbor_scan_map->addPsmEvalVectorDouble(
m_evalName, m_evalKeyValueName, value_it, m_psmEvalValues.end());
return p_cbor_scan_map;
}
pappso::cbor::psm::PsmFileScanProcess::CborScanMapBase
friend CborScanMapBase
Definition psmfilescanprocess.h:49
pappso::cbor::psm::PsmNewEval::value_it
std::vector< double >::iterator value_it
Definition psmneweval.h:62

References pappso::cbor::psm::CborScanMapBase::addPsmEvalVectorDouble(), m_evalKeyValueName, m_evalName, m_psmEvalValues, and value_it.

## parameterMapReady()

void pappso::cbor::psm::PsmNewEval::parameterMapReady | ( | pappso::UiMonitorInterface & | monitor | ) |

override protected virtual

Reimplemented from pappso::cbor::psm::PsmFileScanProcessAndCopy.

Definition at line 65 of file psmneweval.cpp.

{
qDebug();
QCborMap cbor_neweval_parameters = QCborValue::fromJsonValue(m_newEvalParameters).toMap();
m_cborParameterMap.insert(m_evalName, cbor_neweval_parameters);
mp_cborOutput->append("parameter_map");
mp_cborOutput->writeCborMap(m_cborParameterMap);
qDebug();
}
pappso::cbor::psm::PsmFileReaderBase::m_cborParameterMap
QCborMap m_cborParameterMap
Definition psmfilereaderbase.h:135
pappso::cbor::psm::PsmFileScanProcessAndCopy::mp_cborOutput
CborStreamWriter * mp_cborOutput
Definition psmfilescanprocessandcopy.h:87

References pappso::cbor::psm::PsmFileReaderBase::m_cborParameterMap, m_evalName, m_newEvalParameters, and pappso::cbor::psm::PsmFileScanProcessAndCopy::mp_cborOutput.

## Member Data Documentation

## m_evalKeyValueName

QString pappso::cbor::psm::PsmNewEval::m_evalKeyValueName

protected

Definition at line 59 of file psmneweval.h.

Referenced by addEvalDoubleVector(), and newCborScanMap().

## m_evalName

QString pappso::cbor::psm::PsmNewEval::m_evalName

protected

Definition at line 58 of file psmneweval.h.

Referenced by PsmNewEval(), newCborScanMap(), and parameterMapReady().

## m_newEvalParameters

QJsonObject pappso::cbor::psm::PsmNewEval::m_newEvalParameters

protected

Definition at line 57 of file psmneweval.h.

Referenced by PsmNewEval(), and parameterMapReady().

## m_psmEvalValues

std::vector<double> pappso::cbor::psm::PsmNewEval::m_psmEvalValues

protected

Definition at line 60 of file psmneweval.h.

Referenced by addEvalDoubleVector(), and newCborScanMap().

## value_it

std::vector<double>::iterator pappso::cbor::psm::PsmNewEval::value_it

protected

Definition at line 62 of file psmneweval.h.

Referenced by newCborScanMap().

The documentation for this class was generated from the following files:

- pappsomspp/core/processing/cbor/psm/evalscan/psmneweval.h
- pappsomspp/core/processing/cbor/psm/evalscan/psmneweval.cpp